﻿using System;
using System.Collections.Generic;
using System.Text;
using Romulus.Nes;

namespace GearTool
{
    class ScreenLayout
    {
        public ScreenLayout(GearRom rom, pHRom offset) {
            this.Rom = rom;
            this.Offset = offset;
        }

        public GearRom Rom { get; private set; }
        public pHRom Offset { get; private set; }

        // Size in bytes of a screen layout
        public const int ScreenLayoutSize = 0x30;
        public const int ScreenLayoutWidth = 8;
        public const int ScreenLayoutHeight = 6;

        public int GetBlockIndex(int x, int y) {
            return Rom[Offset + x + y * ScreenLayoutWidth];
        }
        public void SetBlockIndex(int x, int y, byte value) {
            Rom[Offset + x + y * ScreenLayoutWidth] = value;
        }
    }
}
