﻿using System;
using System.Collections.Generic;
using System.Text;
using Romulus.Nes;

namespace GearTool
{
    struct TileBlock
    {
        public TileBlock(GearRom rom, pHRom offset)
            : this() {
            this.Rom = rom;
            this.Offset = offset;
        }

        public GearRom Rom { get; private set; }
        public pHRom Offset { get; private set; }

        // Size in bytes of a tile block definition
        public const int TileBlockDefSize = 0x10;
        public const int TileBlockWidth = 4;
        public const int TileBlockHeight = 4;

        public int GetTile(int x, int y) {
            return Rom[Offset + x + y * TileBlockWidth];
        }
        public void SetTile(int x, int y, byte value) {
            Rom[Offset + x + y * TileBlockWidth] = value;
        }
    }
}
